import {
  useUser
} from "./chunk-BPH264HP.mjs";

// src/user.tsx
import { forwardRef } from "@nextui-org/system";
import { Avatar } from "@nextui-org/avatar";
import { jsx, jsxs } from "react/jsx-runtime";
var User = forwardRef((props, ref) => {
  const { Component, name, slots, description, avatarProps, getUserProps } = useUser({
    ref,
    ...props
  });
  return /* @__PURE__ */ jsxs(Component, { ...getUserProps(), children: [
    /* @__PURE__ */ jsx(Avatar, { ...avatarProps }),
    /* @__PURE__ */ jsxs("div", { className: slots.wrapper(), children: [
      /* @__PURE__ */ jsx("span", { className: slots.name(), children: name }),
      /* @__PURE__ */ jsx("span", { className: slots.description(), children: description })
    ] })
  ] });
});
User.displayName = "NextUI.User";
var user_default = User;

export {
  user_default
};
